%define oname   ruby-openid

Name:       ruby-%{oname}
Version:    2.1.8
Release:    %mkrel 1
Summary:    A library for consuming and serving OpenID identities
License:    Apache Software License and Ruby License
Group:      Development/Ruby
URL:        http://github.com/openid/ruby-openid
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A library for consuming and serving OpenID identities.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/INSTALL
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/UPGRADE
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 2.1.8-1.mga1
+ Revision: 51297
- imported package ruby-ruby-openid


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.1.8-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 2.1.8

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.7-2mdv2011.0
+ Revision: 614796
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.1.7-1mdv2010.1
+ Revision: 500503
- import rubygem-ruby-openid


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.1.7-1
- initial release
